commit:     26d842cfc6c5b6d006c8fd04d084ac1b1d4eff0f
Author:     Mathy Vanvoorden <mathy <AT> vanvoorden <DOT> be>
AuthorDate: Mon Jun  7 15:26:47 2021 +0000
Commit:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Thu Jun 10 17:40:48 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26d842cf

dev-libs/libarcus: Version bump

Closes: https://bugs.gentoo.org/793803
Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Mathy Vanvoorden <mathy <AT> vanvoorden.be>
Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>

 dev-libs/libarcus/Manifest              |  1 +
 dev-libs/libarcus/libarcus-4.9.1.ebuild | 56 +++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-libs/libarcus/Manifest b/dev-libs/libarcus/Manifest
index a0c2ef4999b..f518463c51f 100644
--- a/dev-libs/libarcus/Manifest
+++ b/dev-libs/libarcus/Manifest
@@ -1 +1,2 @@
 DIST libarcus-4.8.0.tar.gz 31906 BLAKE2B 
677fafa3875834c7602bc85b7246f50ed0dc49e886814c4562ce41a1a7baecfb4fb0bac42aada5339fe73cbd3fc5ac3b28076bf72a1e24591a947d747c6eb794
 SHA512 
44db9b48ab6be08c30f2121d68197a7347eaf3ee255649969a773afbe45ec2433e2cc082aa72f6d40dad7ea28345da858471fff9a129365a4e848df8c8c07689
+DIST libarcus-4.9.1.tar.gz 31967 BLAKE2B 
2ee827c3f1f592ac1efa7557a2cbfa9cf9fd2d43a7be7fd803f94f7b51c9a03be1078d3df319e1bbe2bc37b6ec3a1c6f16996c4e3b6251dd06f6031dd32ad2a9
 SHA512 
5124b80647cb0715ad94c5eaaeac797a867319de9a8064b689783fdb28598903a69e3a61393db90f5e0b3d10ee30aed844170cab63dc4b7c70509d5129a17cdd

diff --git a/dev-libs/libarcus/libarcus-4.9.1.ebuild 
b/dev-libs/libarcus/libarcus-4.9.1.ebuild
new file mode 100644
index 00000000000..79e8a85d03b
--- /dev/null
+++ b/dev-libs/libarcus/libarcus-4.9.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit cmake python-single-r1
+
+MY_PN="libArcus"
+
+DESCRIPTION="This library facilitates communication between Cura and its 
backend"
+HOMEPAGE="https://github.com/Ultimaker/libArcus";
+SRC_URI="https://github.com/Ultimaker/${MY_PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0/3"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="examples +python static-libs"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="${PYTHON_DEPS}
+       dev-libs/protobuf:=
+       $(python_gen_cond_dep '
+               <dev-python/sip-5[${PYTHON_MULTI_USEDEP}]
+               python? ( dev-python/protobuf-python[${PYTHON_MULTI_USEDEP}] )
+       ')"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-4.8.0-deprecated-protobuf-calls.patch
+)
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       # Find SIP for current python version, not the latest installed
+       sed -i "s/find_package(Python3 3.4 REQUIRED/find_package(Python3 
${EPYTHON##python} EXACT REQUIRED/g" \
+               CMakeLists.txt cmake/FindSIP.cmake || die
+
+       cmake_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_EXAMPLES=$(usex examples ON OFF)
+               -DBUILD_PYTHON=$(usex python ON OFF)
+               -DBUILD_STATIC=$(usex static-libs ON OFF)
+       )
+
+       cmake_src_configure
+}

Reply via email to